#include "Sangue.h"
#include "define.h"
#include <allegro.h>

Sangue::Sangue(BITMAP &bmp, int pX, int pY, int bX, int bY){
    this->cincoUnidades = load_bitmap("./sangue/cincoUnidades.bmp", NULL);
    this->umLife = load_bitmap("./sangue/umLife.bmp", NULL);
    this->cemLife = load_bitmap("./sangue/cemLife.bmp", NULL);
    this->barraHP = load_bitmap("./sangue/barraHPm.bmp", NULL);
    this->porcentagem = 100;
    this->screen = &bmp;
    this->posX = pX;
    this->posY = pY;
    this->barraX = bX;
    this->barraY = bY;
    draw_sprite(this->screen, this->barraHP, this->barraX, this->barraY);
    draw_sprite(this->screen, this->cemLife, this->posX+1, this->posY);
}

Sangue::~Sangue(){
    destroy_bitmap(umLife);
    destroy_bitmap(cincoUnidades);
    destroy_bitmap(cemLife);
    destroy_bitmap(barraHP);
    destroy_bitmap(screen);
}
void Sangue::recuperarLife(){
    if(this->porcentagem < 100){
        draw_sprite(this->screen, this->umLife, this->posX+1+ this->porcentagem, this->posY);
        this->porcentagem++;
    }
}

void Sangue::sofrerDano(){
    this->porcentagem -= 5;
    if(this->porcentagem < 0)
        this->porcentagem = 0;
    draw_sprite(this->screen, this->cincoUnidades, this->posX+1 + this->porcentagem, this->posY);
}

bool Sangue::morto(){
    return this->porcentagem <= 0;
}

void Sangue::desenhar(){
	draw_sprite(this->screen, this->barraHP, this->barraX, this->barraY);
}

void Sangue::resetarHP(){
	this->porcentagem = 100;	
	draw_sprite(this->screen, this->cemLife, this->posX+1, this->posY);
}

int Sangue::getPorcentagem(){
	return this->porcentagem;	
}
