#ifndef PONTUACAO_H_
#define PONTUACAO_H_
#include <allegro.h>

class Pontuacao{
    private:
        int pontos;
        int comboAtual;
        int comboMax;
        int multiplicador;
        int auxMult;
        int posPX;
        int posPY;
        BITMAP *pontuacao;
        BITMAP *screen;
        void incrementarMult();
        void zerarMult();
        BITMAP *decodificarPontos();
        bool noCombo;
    public:
        Pontuacao(BITMAP &bmp, int pX, int pY);
        ~Pontuacao();
        void adicionarPontos(int valor);
        void incrementarCombo();
        void zerarCombo();
        void desenhar(BITMAP &buffer);
        int getPontos();
};

#endif // PONTUACAO_H_INCLUDED
