#include "Seta.h"
#include <iostream>
#include <sstream>


/**
 * Alterao no mtodo subir (por Gabrielle);
	Alterao necessria para as setas voltarem ao ponto inicial, depois
	de atingir o limite superior da tela
 */

Seta::Seta(BITMAP &bitmap, int posX, int posY, int veloc, char direcao){


    BITMAP * ponto;
    ponto = create_bitmap(5,5);
    int vermelho = makecol32(255,0,0);

    this->img = &bitmap;
    this->x = posX;
    this->y = posY;
    this->velocidade = veloc;
    this->direcao = direcao;
}

void Seta::desenharNaTela(BITMAP &buffer){
    draw_sprite(&buffer, this->img, this->x, this->y);
}

void Seta::subir(){
    this->y -= this->velocidade;
}

int Seta::getX(){
    return this->x;
}

int Seta::getY(){
    return this->y;
}

void Seta::setBitmap(BITMAP &b) {

    this->img = &b;

}

void Seta::setX( int x ) {
    this->x = x;
}

void Seta::setY( int y ) {
    this->y = y;
}

int Seta::getLargura(){
    return this->img->w;
}

int Seta::getAltura(){
    return this->img->h;
}

bool Seta::noLimite(){
    return this->y <= 0;
}

char Seta::getDirecao(){
    return this->direcao;
}

void Seta::setDirecao(char direcao){
    this->direcao = direcao;
}

void Seta::setVelocidade(int veloc){
    this->velocidade = veloc;
}

bool Seta::verificarColisao(BITMAP &buffer){
	int limiteInferior = 68;
	int limiteSuperior = 38;
	BITMAP *ponto;
	ponto = create_bitmap(5,5);
	int vermelho = makecol32(255,0,0);
	rectfill(ponto, 0, 0, 5, 5, vermelho);

	if(this->y <= limiteInferior && this->y >= limiteSuperior){
		//desenhar pow na tela;
		draw_sprite(&buffer, ponto, 100, 100);

	}

	delete ponto;
}
